Interlaken
API referenceAgents and workflowsAgent roles

Create a custom agent role (a persona assignable to runs and team members)

POST
/api/v1/agent-roles

Requires the agent_roles:create permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/agent-roles" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "system_prompt": "string"  }'
{  "builtin": true,  "created_at": "2019-08-24T14:15:22Z",  "description": "string",  "display_name": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "max_iterations": 0,  "max_wall_clock_seconds": 0,  "model": "string",  "name": "string",  "skills": [    "string"  ],  "system_prompt": "string",  "tools": [    "string"  ],  "updated_at": "2019-08-24T14:15:22Z"}